Erro ao tentar atualizar o sistema

quando digito o comando “sudo apt update” ele da esses erros aqui… como faço pra resolver essas pendências?

Quais erros aparecem?

1 Curtida

me perdoe como eu sou burro esqueci de anexar a imagem :pensive:

2 Curtidas

Tenta trocar os mirrors e dar o sudo apt update novamente

1 Curtida

O comando seria sudo apt-get update, não? Você esqueceu o -get.

Se os problemas persistirem, tente o comando sudo dpkg --configure -a e depois tente atualizar o sistema.

Deixo uma dica rápida de como copiar, colar e tornar texto legível, aplicando o estilo monoespaçado:

Na verdade não precisa do -get, o comando funciona apenas com apt update.
Mas não sei se isso é apenas para as versões do Ubuntu a partir da 16.04 e seus derivados ou se isso também se aplica ao Debian :thinking:

1 Curtida

O “-get” não é necessário, @rasolar.

3 Curtidas

@Filipeco13
Simpático você.
Isso é problema de internet. Tente mais tarde, talvez o uso da sua banda esteja muito alto… Downloads do MEGA (mega.nz) costumam ocupar muito a banda.

Você pode tentar:

  • Reiniciar o roteador.
  • Alterar o DNS.
  • Alterar os repositórios em falha.
  • Conectar-se a uma rede alternativa.
1 Curtida

Faz o seguinte tente mudar o mirror graficamente procure no menu por Atualização de Programas

1 Curtida

Qual Mirrror você usa?

Eu não uso Debian e derivados (distros que usam apt) então se eu falar o mirror que eu uso (da ufpr) não iria ajudar.

1 Curtida

Inclusive o -get deveria parar de ser usado, ele esta digamos que “Outdated” em relação ao apt (não o gerenciador de pacotes e sim o front end que manipula o gerenciador de pacotes)

2 Curtidas